Bug 996563 - [Admin Portal] Deleted config of UI plugin is not reflected, data are kept until engine is restarted
[Admin Portal] Deleted config of UI plugin is not reflected, data are kept un...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity low
: ---
: 3.4.0
Assigned To: vszocs
Jiri Belka
ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 08:50 EDT by Jiri Belka
Modified: 2014-06-12 10:09 EDT (History)
6 users (show)

See Also:
Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log, test-plugin.tar.gz (13.14 KB, application/x-tar)
2013-08-13 08:50 EDT, Jiri Belka
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20522 None None None Never

  None (edit)
Description Jiri Belka 2013-08-13 08:50:49 EDT
Created attachment 786137 [details]
engine.log, test-plugin.tar.gz

Description of problem:
I deleted config of an UI plugin from /etc/ovirt-engine/ui-plugins but after reload of Admin Portal I can see still old data of the UI plugin. Cleaning browser cache doesn't help, not closing whole browser instance. After restarting engine the old configuration data are dropped and the UI plugin shows its default configuration.

Version-Release number of selected component (if applicable):
is9.1

How reproducible:
100%

Steps to Reproduce:
1. untar attached test-plugin.tar.gz in '/'
2. login to Admin Portal, log out
3. rm -f /etc/ovirt-engine/ui-plugins/test-config.json
4. refresh browser page, login to Admin Portal

Actual results:
even after reloading Admin portal page ui plugin data are still old

Expected results:
all ui plugin data should be dropped on reload

Additional info:
tested ff17, ie9
Comment 1 Itamar Heim 2013-08-13 10:53:04 EDT
I'm not sure engine restart on ui plugin deploy/removal is not a reasonable assumption
Comment 2 Einav Cohen 2013-08-16 15:35:57 EDT
(In reply to Itamar Heim from comment #1)
> I'm not sure engine restart on ui plugin deploy/removal is not a reasonable
> assumption

@Vojtech - does re-loading ui plugin data (configuration) upon browser reload sound reasonable to you?
Comment 3 vszocs 2013-08-19 07:19:01 EDT
I agree with Jiri, this sounds like a bug to me.

UI Plugin infra was designed to allow reloading plugin meta-data & configuration without restarting Engine, so we should also compare cached data against (possibly missing) files, in addition to comparing (possibly added or modified) files with cached data.

> @Vojtech - does re-loading ui plugin data (configuration) upon browser
> reload sound reasonable to you?

Yes, modifying UI plugin meta-data and/or configuration shouldn't require Engine restart.
Comment 4 Sandro Bonazzola 2014-01-14 03:43:10 EST
ovirt 3.4.0 alpha has been released
Comment 5 Jiri Belka 2014-02-18 11:19:07 EST
ok, ovirt-engine-3.4.0-0.7.beta2.el6.noarch

deleting config and/or plugin itself causes to be display and/or not displayed in expected way.
Comment 6 Itamar Heim 2014-06-12 10:09:01 EDT
Closing as part of 3.4.0

Note You need to log in before you can comment on or make changes to this bug.